# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "nod"
version = "2.0.0-alpha.9"
authors = ["Luke Street <luke@street.dev>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = """
Library for reading and writing GameCube and Wii disc images.
"""
documentation = "https://docs.rs/nod"
readme = "README.md"
keywords = [
    "gamecube",
    "wii",
    "iso",
    "wbfs",
    "rvz",
]
categories = [
    "command-line-utilities",
    "parser-implementations",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/encounter/nod"

[features]
compress-bzip2 = []
compress-bzip2-static = [
    "compress-bzip2-vendored",
    "bzip2-sys/static",
]
compress-bzip2-vendored = [
    "compress-bzip2",
    "dep:bzip2-sys",
]
compress-lzma = []
compress-lzma-static = [
    "compress-lzma-vendored",
    "liblzma-sys/static",
]
compress-lzma-vendored = [
    "compress-lzma",
    "dep:liblzma-sys",
]
compress-zlib = ["dep:adler2"]
compress-zlib-static = [
    "compress-zlib-vendored",
    "libz-sys/static",
]
compress-zlib-vendored = [
    "compress-zlib",
    "dep:libz-sys",
]
compress-zstd = []
compress-zstd-static = ["compress-zstd-vendored"]
compress-zstd-vendored = [
    "compress-zstd",
    "dep:zstd-sys",
]
default = [
    "compress-bzip2-vendored",
    "compress-lzma-vendored",
    "compress-zlib-vendored",
    "compress-zstd-vendored",
    "threading",
]
openssl = ["dep:openssl"]
openssl-vendored = [
    "openssl",
    "openssl/vendored",
]
threading = [
    "dep:crossbeam-channel",
    "dep:crossbeam-utils",
]

[lib]
name = "nod"
path = "src/lib.rs"

[dependencies.adler2]
version = "2.0"
optional = true

[dependencies.aes]
version = "0.9.0-rc.4"

[dependencies.base16ct]
version = "1.0"

[dependencies.block-padding]
version = "0.4"

[dependencies.bytes]
version = "1.11"

[dependencies.bzip2-sys]
version = "0.1.13"
optional = true

[dependencies.cbc]
version = "0.2.0-rc.3"

[dependencies.crc32fast]
version = "1.5"

[dependencies.crossbeam-channel]
version = "0.5"
optional = true

[dependencies.crossbeam-utils]
version = "0.8"
optional = true

[dependencies.crypto-common]
version = "0.2"

[dependencies.digest]
version = "0.11.0"
default-features = false

[dependencies.dyn-clone]
version = "1.0"

[dependencies.encoding_rs]
version = "0.8"

[dependencies.itertools]
version = "0.14"

[dependencies.liblzma-sys]
version = "0.4"
optional = true

[dependencies.libz-sys]
version = "1.1"
optional = true

[dependencies.lru]
version = "0.16"

[dependencies.md-5]
version = "0.11.0-rc.5"
default-features = false

[dependencies.openssl]
version = "0.10"
optional = true

[dependencies.polonius-the-crab]
version = "0.5"

[dependencies.sha1]
version = "0.11.0-rc.5"
default-features = false

[dependencies.simple_moving_average]
version = "1.0"

[dependencies.thiserror]
version = "2.0"

[dependencies.tracing]
version = "0.1"

[dependencies.xxhash-rust]
version = "0.8"
features = ["xxh64"]

[dependencies.zerocopy]
version = "0.8"
features = [
    "alloc",
    "derive",
]

[dependencies.zstd-sys]
version = "2.0"
optional = true
default-features = false
